import request from '@/utils/request'
// 获取订单详情
export function getDetailPrintOrder(data) {
  return request({
    url: '/order/v1/getPrintOrderDetail',
    method: 'post',
    params: data
  })
}
// 获取订单选择纸张类型档案列表
export function getOrderSelectPaperTypeInfoList(data) {
  return request({
    url: '/baseinfo/getOrderSelectPaperTypeInfoList',
    method: 'post',
    params: data
  })
}

// 获取工艺
export function getWorkProcessList(data) {
  return request({
    url: '/product/getWorkProcessList',
    method: 'post',
    params: data
  })
}

// 获取产品档案详情
export function getProductDetailInfo(data) {
  return request({
    url: '/product/getProductDetailInfo',
    method: 'post',
    params: data
  })
}
// 获取客户默认收货地址
export function getAddressInfo(data) {
  return request({
    url: '/doc/getClientDefaultReceiveAddress',
    method: 'post',
    params: data
  })
}
// 前台获取发货方式
export function getLogisticsInfoList(data) {
  return request({
    url: '/doc/getLogisticsInfoList',
    method: 'post',
    params: data
  })
}

// 新建印刷订单
export function orderFormToken(data) {
  return request({
    url: '/order/orderFormToken',
    method: 'post',
    data: data
  })
}
// 新建印刷订单
export function addPrintOrder(data, token) {
  return request({
    url: '/order/addPrintOrder?token=' + token,
    method: 'post',
    data: data
  })
}
// 新建并提交印刷订单
export function addAndCommitPrintOrder(data, token) {
  return request({
    url: '/order/v1/addAndCommitPrintOrder?token=' + token,
    method: 'post',
    data: data
  })
}
// 编辑印刷订单
export function updatePrintOrder(data) {
  return request({
    url: '/order/updatePrintOrder',
    method: 'post',
    data: data
  })
}

export function getPrintOrderInfo(data) {
  return request({
    url: '/order/getPrintOrderInfo',
    method: 'post',
    params: data
  })
}


// 编辑并提交印刷订单
export function editAndCommitPrintOrder(data) {
  return request({
    url: '/order/v1/editAndCommitPrintOrder',
    method: 'post',
    data: data
  })
}
// 编辑补印订单
export function reprintOrder(data, token) {
  return request({
    url: '/order/v1/reprintOrder?token=' + token,
    method: 'post',
    data: data
  })
}
// 编辑并提交补印订单
export function reprintCommitOrder(data, token) {
  return request({
    url: '/order/v1/reprintCommitOrder?token=' + token,
    method: 'post',
    data: data
  })
}
// 计算订单发货日期
export function calcOrderSendDate(data) {
  return request({
    url: '/order/v1/orderCalcSendDateNew',
    method: 'post',
    params: data
  })
}

// 获取订单详情弹窗
export function readPrintOrderDetail(data) {
  return request({
    url: '/order/v1/readPrintOrderDetail',
    method: 'post',
    params: data
  })
}

export function readOrderDetail4OrderInfo(data) {
  return request({
    url: '/order/v1/readOrderDetail4OrderInfo',
    method: 'post',
    params: data
  })
}

export function readOrderDetail4DeliverInform(data) {
  return request({
    url: '/order/v1/readOrderDetail4DeliverInform',
    method: 'post',
    params: data
  })
}

export function readOrderDetail4OrderPart(data) {
  return request({
    url: '/order/v1/readOrderDetail4OrderPart',
    method: 'post',
    params: data
  })
}

export function readOrderDetail4OrderProduceInfo(data) {
  return request({
    url: '/order/v1/readOrderDetail4OrderProduceInfo',
    method: 'post',
    params: data
  })
}

export function readOrderDetail4OutAssisBill(data) {
  return request({
    url: '/order/v1/readOrderDetail4OutAssisBill',
    method: 'post',
    params: data
  })
}

export function readOrderDetail4OrderStockItem(data) {
  return request({
    url: '/order/v1/readOrderDetail4OrderStockItem',
    method: 'post',
    params: data
  })
}

export function readOrderDetail4SendBillItem(data) {
  return request({
    url: '/order/v1/readOrderDetail4SendBillItem',
    method: 'post',
    params: data
  })
}

// 获取订单已外协的外协工序状态
export function readPrintOrderDetailCraftInfo(data) {
  return request({
    url: '/order/v1/readPrintOrderDetailCraftInfo',
    method: 'post',
    params: data
  })
}
// 计算价格
export function quotePrintOrder(data) {
  return request({
    url: '/product/quotePrintOrder',
    method: 'post',
    data: data
  })
}

// 解析地址

export function parseAddress(data) {
  return request({
    url: '/system/parseAddress',
    method: 'post',
    params: data
  })
}

// 编辑发货备注

export function updateOrderSendMemo(data) {
  return request({
    url: '/order/v1/updateOrderSendMemo',
    method: 'post',
    params: data
  })
}
//获取用户余额
export function getClientBalanceMoneyWeb(data) {
  return request({
    url: '/finance/getClientBalanceMoneyWeb',
    method: 'post',
    params: data
  })
}




